MMCifValidationParser
Date: 2019-10-22

org.jmol.adapter.readers.cif

## Class MMCifValidationParser

- java.lang.Object
- - org.jmol.adapter.readers.cif.MMCifValidationParser

-     public class MMCifValidationParser
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `asResidues`
    `private java.util.Map<java.lang.String,java.lang.Integer>` | `atomMap`
    `private AtomSetCollectionReader` | `reader`
    `private java.util.Map<java.lang.String,int[]>` | `resMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MMCifValidationParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `finalizeRna3d(java.util.Map<java.lang.String,java.lang.Integer> modelMap)`
    `java.lang.String` | `finalizeValidations(Viewer vwr, java.util.Map<java.lang.String,java.lang.Integer> modelMap)` Create property_xxxx for each validation category.
    `private int[]` | `getModelAtomIndices()` prepare a list of starting atom indices for each model, adding one additional one to indicate 1 + last atom index
    `private SV` | `getRna3dMap(java.lang.String addedData)`
    `private void` | `mapAtomResIDs(java.util.Map<java.lang.String,java.lang.Integer> modelMap)` Map all atom and residue unit ids to atom indexes
    `MMCifValidationParser` | `set(AtomSetCollectionReader reader)`
    `private java.lang.String` | `setProperties(javajs.util.Lst<java.lang.Object> propList)` Set property_xxx for atoms from list of name, data, modelIndex series.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### asResidues

          private boolean asResidues

    - #### reader

          private AtomSetCollectionReader reader

    - #### resMap

          private java.util.Map<java.lang.String,int[]> resMap

    - #### atomMap

          private java.util.Map<java.lang.String,java.lang.Integer> atomMap

  - ### Constructor Detail

    - #### MMCifValidationParser

          public MMCifValidationParser()

  - ### Method Detail

    - #### set

          public MMCifValidationParser set(AtomSetCollectionReader reader)

    - #### finalizeValidations

          public java.lang.String finalizeValidations(Viewer vwr,
                                                      java.util.Map<java.lang.String,java.lang.Integer> modelMap)

      Create property_xxxx for each validation category.
      Parameters:
        `vwr` -
        `modelMap` -
      Returns:
        loading note

    - #### finalizeRna3d

          public java.lang.String finalizeRna3d(java.util.Map<java.lang.String,java.lang.Integer> modelMap)

    - #### getRna3dMap

          private SV getRna3dMap(java.lang.String addedData)

    - #### mapAtomResIDs

          private void mapAtomResIDs(java.util.Map<java.lang.String,java.lang.Integer> modelMap)

      Map all atom and residue unit ids to atom indexes
      Parameters:
        `modelMap` -

    - #### getModelAtomIndices

          private int[] getModelAtomIndices()

      prepare a list of starting atom indices for each model, adding one additional one to indicate 1 + last atom index
      Returns:
        array

    - #### setProperties

          private java.lang.String setProperties(javajs.util.Lst<java.lang.Object> propList)

      Set property_xxx for atoms from list of name, data, modelIndex series.
      Parameters:
        `propList` -
      Returns:
        note string